---
updatedAt: 2025-08-27T15:59:03.000Z
agentTools:
  projectIndex: https://docs.moneyhubenterprise.com/v2.5/llms.txt
---

# Create multiple transactions for a user

Requires **transactions:read:all** and **transactions:write:all** scopes. A maximum of 50 transactions is imposed.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Documentation for the Moneyhub data API. <br/>Authentication is via bearer token. <br/>",
    "title": "Moneyhub Data API",
    "version": "2.0.0"
  },
  "security": [
    {
      "Bearer": []
    }
  ],
  "paths": {
    "/transactions-collection": {
      "post": {
        "summary": "Create multiple transactions for a user",
        "description": "Requires **transactions:read:all** and **transactions:write:all** scopes. A maximum of 50 transactions is imposed.",
        "parameters": [
          {
            "description": "Enable categorisation of transactions",
            "in": "query",
            "name": "categorise",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TransactionCollectionPost"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful Transaction Response",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "data": {
                      "items": {
                        "additionalProperties": false,
                        "properties": {
                          "id": {
                            "description": "The unique id of the transaction",
                            "example": "c390a94f-3824-4cdf-8d02-b0c5304d9f66",
                            "format": "uuid",
                            "type": "string"
                          }
                        },
                        "type": "object",
                        "required": [
                          "id"
                        ]
                      },
                      "type": "array",
                      "minimum": 1,
                      "maximum": 50
                    },
                    "links": {
                      "$ref": "#/components/schemas/Links"
                    },
                    "meta": {
                      "type": "object"
                    }
                  },
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Unsuccessful Response - Bad request - Missing query parameters - Missing body properties",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unsuccessful Response - Not authorised - Missing authorization header - Invalid access Token",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "403": {
            "description": "Unsuccessful Response - Forbidden - Invalid scopes",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "tags": [
          "transactions"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://api.moneyhub.co.uk/v2.0"
    }
  ],
  "components": {
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "TransactionCollectionPost": {
        "items": {
          "additionalProperties": false,
          "type": "object",
          "properties": {
            "accountId": {
              "description": "The id of the account the transaction belongs to",
              "example": "c390a94f-2309-4cdf-8d02-b0c5304d9f66",
              "type": "string"
            },
            "amount": {
              "properties": {
                "value": {
                  "description": "The amount of the transaction in minor units of the currency, eg. pennies for GBP, negative means money going out of an account, positive means money coming into an account.",
                  "example": -2300,
                  "type": "integer"
                }
              },
              "required": [
                "value"
              ],
              "type": "object"
            },
            "categoryId": {
              "description": "The category id. Standard categories are prefixed with 'std', custom categories are prefixed with 'cus'",
              "example": "std:4b0255f0-0309-4509-9e05-4b4e386f9b0d",
              "type": "string",
              "pattern": "^(std|cus):(\\w|-)+$"
            },
            "categoryIdConfirmed": {
              "description": "Flag indicating whether the user has confirmed the category id as correct",
              "example": false,
              "type": "boolean"
            },
            "date": {
              "description": "The date that the transaction occurred. Where available this will contain an accurate time, where the time is not available it will default to midday.",
              "example": "2018-07-10T12:00:00.000Z",
              "format": "date-time",
              "type": "string"
            },
            "longDescription": {
              "description": "The full text description of the transactions - often as it is represented on the users bank statement",
              "example": "Card Purchase SAINSBURYS S/MKTS  BCC",
              "type": "string"
            },
            "shortDescription": {
              "description": "A cleaned up and shorter description of the transaction, this can be edited",
              "example": "Sainsburys S/mkts",
              "type": "string"
            },
            "notes": {
              "default": "",
              "description": "Arbitrary text that a user can add about a transaction",
              "example": "Some notes about the transaction",
              "type": "string",
              "maxLength": 500
            },
            "status": {
              "description": "Whether the transaction has been posted (booked) or is still a pending transaction. During the transition from pending to posted the description will normally change.",
              "enum": [
                "posted",
                "pending"
              ],
              "example": "posted",
              "type": "string"
            },
            "projectId": {
              "description": "The project ID the transaction is associated with",
              "example": "30be8fa43f30fc285e4c479e9dfd6a1dec2bead8ee6cc6276b8dac152c565e9e",
              "type": "string"
            },
            "enhancedCategories": {
              "additionalProperties": false,
              "type": "object",
              "description": "Categories to enrich a transaction with",
              "properties": {
                "uk-tax-hmrc": {
                  "description": "The UK HMRC Tax category to aid in tax return queries",
                  "example": "income.rent",
                  "type": "string",
                  "pattern": "^(income|expenditure)\\.([a-zA-Z-]+)$"
                }
              },
              "example": {
                "uk-tax-hmrc": "income.rent"
              }
            }
          },
          "example": {
            "accountId": "c390a94f-2309-4cdf-8d02-b0c5304d9f66",
            "amount": {
              "value": -2300
            },
            "categoryId": "std:4b0255f0-0309-4509-9e05-4b4e386f9b0d",
            "categoryIdConfirmed": true,
            "longDescription": "New transaction",
            "shortDescription": "transaction",
            "notes": "notes",
            "status": "posted",
            "date": "2018-07-10T12:00:00+00:00"
          },
          "required": [
            "accountId",
            "amount",
            "categoryId",
            "date",
            "longDescription"
          ]
        },
        "type": "array",
        "description": "List of transactions to be created or updated. Minimum 1 item required. Maximum 50 items allowed.",
        "example": [
          {
            "accountId": "c390a94f-2309-4cdf-8d02-b0c5304d9f66",
            "amount": {
              "value": -4500
            },
            "categoryId": "std:4b0255f0-0309-4509-9e05-4b4e386f9b0d",
            "categoryIdConfirmed": true,
            "longDescription": "Long description 1",
            "shortDescription": "description 1",
            "notes": "notes",
            "status": "posted",
            "date": "2018-07-10T12:00:00+00:00"
          },
          {
            "accountId": "c390a94f-2309-4cdf-8d02-b0c5304d9f66",
            "amount": {
              "value": 7800
            },
            "categoryId": "std:4b0255f0-0309-4509-9e05-4b4e386f9b0d",
            "longDescription": "Long description 2",
            "notes": "notes",
            "status": "pending",
            "date": "2018-07-10T12:00:00+00:00"
          }
        ]
      },
      "Links": {
        "additionalProperties": false,
        "properties": {
          "next": {
            "description": "The url to retrieve the next page of results from",
            "format": "uri",
            "type": "string"
          },
          "prev": {
            "description": "The url to retrieve the previous page of results from",
            "format": "uri",
            "type": "string"
          },
          "self": {
            "description": "The url of the current resource(s)",
            "format": "uri",
            "type": "string"
          }
        },
        "required": [
          "self"
        ],
        "type": "object"
      },
      "Error": {
        "additionalProperties": false,
        "properties": {
          "code": {
            "description": "The error code",
            "type": "string"
          },
          "message": {
            "description": "The error message",
            "type": "string"
          },
          "correlationId": {
            "description": "Id that identifies the request and can be used to ask for more details related to the error",
            "type": "string"
          },
          "id": {
            "description": "Id of the resource",
            "type": "string"
          },
          "userId": {
            "description": "UserId of the resource",
            "type": "string"
          }
        },
        "required": [
          "code"
        ],
        "type": "object"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```